> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiployees.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Вземи инструмент за средата на обаждане

> Извличане на конкретен инструмент за средата на обаждане по ID

Този endpoint ви позволява да извлечете подробна информация за конкретен инструмент за средата на обаждане.

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token за автентикация
</ParamField>

<ParamField header="Content-Type" type="string" required>
  Трябва да бъде `application/json`
</ParamField>

<ParamField header="Accept" type="string" required>
  Трябва да бъде `application/json`
</ParamField>

### Path Parameters

<ParamField path="id" type="integer" required>
  Уникалният идентификатор на инструмента
</ParamField>

### Response fields

<ResponseField name="id" type="integer">
  Уникалният идентификатор на инструмента
</ResponseField>

<ResponseField name="name" type="string">
  Името на инструмента (с малки букви и долни черти)
</ResponseField>

<ResponseField name="description" type="string">
  Подробно обяснение на кога и как AI трябва да използва този инструмент
</ResponseField>

<ResponseField name="endpoint" type="string">
  URL адресът на API endpoint-а, който ще бъде извикан
</ResponseField>

<ResponseField name="method" type="string">
  HTTP метод (GET, POST, PUT, PATCH, DELETE)
</ResponseField>

<ResponseField name="timeout" type="integer">
  Таймаут на заявката в секунди (1-30)
</ResponseField>

<ResponseField name="headers" type="array">
  HTTP headers за изпращане със заявката

  <Expandable title="header properties">
    <ResponseField name="name" type="string">
      Име на header
    </ResponseField>

    <ResponseField name="value" type="string">
      Стойност на header
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="schema" type="array">
  Параметри, които AI ще извлече и изпрати към endpoint-а

  <Expandable title="schema properties">
    <ResponseField name="name" type="string">
      Име на параметъра
    </ResponseField>

    <ResponseField name="type" type="string">
      Тип на параметъра (string, number, boolean)
    </ResponseField>

    <ResponseField name="description" type="string">
      Описание, което помага на AI да разбере как да извлече този параметър
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="created_at" type="string">
  ISO 8601 timestamp кога е създаден инструментът
</ResponseField>

<ResponseField name="updated_at" type="string">
  ISO 8601 timestamp кога е последно обновен инструментът
</ResponseField>

<ResponseExample>
  ```json 200 Response theme={null}
  {
    "id": 1,
    "name": "get_weather",
    "description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
    "endpoint": "https://api.openweathermap.org/data/2.5/weather",
    "method": "GET",
    "timeout": 10,
    "headers": [
      {
        "name": "Content-Type",
        "value": "application/json"
      },
      {
        "name": "Authorization",
        "value": "Bearer sk_..."
      }
    ],
    "schema": [
      {
        "name": "city",
        "type": "string",
        "description": "The city name to get weather for"
      },
      {
        "name": "temperature",
        "type": "number",
        "description": "Current temperature value"
      },
      {
        "name": "is_raining",
        "type": "boolean",
        "description": "Whether it is currently raining"
      }
    ],
    "created_at": "2025-10-10T12:00:00.000000Z",
    "updated_at": "2025-10-10T12:00:00.000000Z"
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "message": "Tool not found"
  }
  ```
</ResponseExample>

### Присвояване на инструменти към асистенти

За да използвате този инструмент с асистент, вижте:

* **[Създай асистент](/api-reference/assistants/create-assistant)** - Прикачете инструменти използвайки параметъра `tool_ids`
* **[Обнови асистент](/api-reference/assistants/update-assistant)** - Управлявайте присвоявания на инструменти използвайки параметъра `tool_ids`
